Name: cube3d
Version: 2002.10.20
Release: alt4

Summary: Cool action game for Linux 
License: ZLIB license
Group: Games/Arcade
#official site
Url: http://wouter.fov120.com/cube/
#source code mirror
#Url: ftp://ftp.altlinux.ru/pub/people/canis/cube3d/cube_2002_10_20_src.zip

Packager: Alexander Nekrasov <canis@altlinux.ru>

#The source code can be reseived here:
#ftp://ftp.altlinux.ru/pub/people/canis/cube3d/cube_2002_10_20_src.zip
Source: %name-%version.tar.bz2

BuildArchitectures: i586
Requires: Mesa, libGLU, libSDL, libSDL_mixer, libSDL_image, zlib, libpng, bash

# Automatically added by buildreq on Sat Oct 18 2003
BuildRequires: XFree86-devel XFree86-libs aalib esound gcc-c++ libGLU-devel libSDL-devel libSDL_image-devel libSDL_mixer-devel libalsa libarts libaudiofile libjpeg libogg libslang libsmpeg libstdc++-devel libtiff libvorbis zlib-devel

%description

Cube3D it is the game in style action from the maiden face.
On a scene and dynamics resembles Half-Life and Quake3.
Is present both single game and advanced multiplayer.

%description -l ru_RU.KOI8-R

Cube3D        .
     Half-Life  Quake3.
       .

%prep
%setup -q 

%build
make -C source/src/ enet
make -C source/src/ client

%install
install -D -m755 source/src/cube_client $RPM_BUILD_ROOT%_libdir/games/%name/cube_client
mkdir -p $RPM_BUILD_ROOT%_libdir/games/%name
cp -r nonebin/* $RPM_BUILD_ROOT%_libdir/games/%name/
mkdir -p $RPM_BUILD_ROOT/usr/games
cp cube3d_* $RPM_BUILD_ROOT/usr/games/
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/%name
cp etc/* $RPM_BUILD_ROOT%_sysconfdir/%name/
install -D -m644 %name.png $RPM_BUILD_ROOT%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT%_datadir/doc/%name
cp -r docs/* $RPM_BUILD_ROOT%_datadir/doc/%name/

#install menu
mkdir -p $RPM_BUILD_ROOT/%_menudir
cat >$RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(%name): needs="x11" section="Games/Arcade" title="3D Cube 800x600 Fullscreen" command="/usr/games/cube3d_fullscreen_800x600" icon="cube3d.png"
?package(%name): needs="x11" section="Games/Arcade" title="3D Cube 1024x768 Fullscreen" command="/usr/games/cube3d_fullscreen_1024x768" icon="cube3d.png" 
?package(%name): needs="x11" section="Games/Arcade" title="3D Cube 800x600 Window" command="/usr/games/cube3d_window_800x600" icon="cube3d.png"
?package(%name): needs="x11" section="Games/Arcade" title="3D Cube 1024x768 Window" command="/usr/games/cube3d_window_1024x768" icon="cube3d.png"
EOF

%post
%update_menus

%postun
%clean_menus

%files
%attr(755,root,root) /usr/games/*
%attr(755,root,root) %_libdir/games/%name/*
%_menudir/%name
%_iconsdir/*
%attr(755,root,root) %_datadir/doc/%name/*
%attr(755,root,root) %_sysconfdir/*

%changelog
* Thu Oct 17 2003 Alexander Nekrasov <canis@altlinux.ru> 2002.10.20-alt4
- the binary files are built from the source code

* Thu Oct 16 2003 Alexander Nekrasov <canis@altlinux.ru> 2002.10.20-alt3
- the problems with a system of the user's configurations are corrected

* Thu Oct 09 2003 Alexander Nekrasov <canis@altlinux.ru> 2002.10.20-alt2
- the system of the user's configurations, is built

* Tue Oct 07 2003 Alexander Nekrasov <canis@altlinux.ru> 2.10.20-alt1
- first build
